/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontent.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import javax.validation.constraints.NotNull;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import org.springframework.format.annotation.NumberFormat;

/**
 * 动态成本控制Entity
 * @author ssrh
 * @version 2018-06-11
 */
public class WorkContentPriceadjust extends DataEntity<WorkContentPriceadjust> {
	
	private static final long serialVersionUID = 1L;
	private String projectId;		// 项目id
	private String contentId;		// 工作内容ID
	private String name;		// 价差调整名称
	private String type;		// 价差调整类型
	private String content;		// 价差调整内容
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double reviewAmt;		// 送审调整金额
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double setAmt;		// 审定调整金额
	private Date reviewDate;		// 送审调整日期
	private Date setDate;		// 审定调整日期
	private String inAccount;		// 计入台账
	private String inPayment;		// 计入支付
	
	public WorkContentPriceadjust() {
		super();
	}

	public WorkContentPriceadjust(String id){
		super(id);
	}

	@ExcelField(title="项目id", align=2, sort=7)
	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}
	
	@ExcelField(title="工作内容ID", align=2, sort=8)
	public String getContentId() {
		return contentId;
	}

	public void setContentId(String contentId) {
		this.contentId = contentId;
	}
	
	@ExcelField(title="价差调整名称", align=2, sort=9)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="价差调整类型", dictType="", align=2, sort=10)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
	@ExcelField(title="价差调整内容", align=2, sort=11)
	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}
	
	@ExcelField(title="送审调整金额", align=2, sort=12)
	public Double getReviewAmt() {
		return reviewAmt;
	}

	public void setReviewAmt(Double reviewAmt) {
		this.reviewAmt = reviewAmt;
	}
	
	@ExcelField(title="审定调整金额", align=2, sort=13)
	public Double getSetAmt() {
		return setAmt;
	}

	public void setSetAmt(Double setAmt) {
		this.setAmt = setAmt;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@NotNull(message="送审调整日期不能为空")
	@ExcelField(title="送审调整日期", align=2, sort=14)
	public Date getReviewDate() {
		return reviewDate;
	}

	public void setReviewDate(Date reviewDate) {
		this.reviewDate = reviewDate;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@NotNull(message="审定调整日期不能为空")
	@ExcelField(title="审定调整日期", align=2, sort=15)
	public Date getSetDate() {
		return setDate;
	}

	public void setSetDate(Date setDate) {
		this.setDate = setDate;
	}
	
	@ExcelField(title="计入台账", align=2, sort=16)
	public String getInAccount() {
		return inAccount;
	}

	public void setInAccount(String inAccount) {
		this.inAccount = inAccount;
	}
	
	@ExcelField(title="计入支付", align=2, sort=17)
	public String getInPayment() {
		return inPayment;
	}

	public void setInPayment(String inPayment) {
		this.inPayment = inPayment;
	}
	
}